security:
    firewalls:
        dashboard:
            pattern: ^/
            anonymous: ~
            provider: user
            form_login:
                default_target_path: dashboard
                login_path: login
                check_path: login_check
            logout:
                path: logout
                target: login
            remember_me:
                secret: '%kernel.secret%'
                lifetime: 31536000 # 365 days in seconds
                always_remember_me: true
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
    access_control:
        - { path: ^/login/, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/login_check/, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/*, roles: ROLE_USER }
    providers:
        user:
            entity:
                class: App\Entity\User
                property: email
    encoders:
        App\Entity\User: { algorithm: sha512, iterations: 10 }
